package de.fitko.fitconnect.core.logger;


import de.fitko.fitconnect.api.logger.LoggingProvider;

import java.util.ServiceLoader;
import java.util.logging.Logger;

public final class SdkLogger {

    public static Logger defaultLogger(final Class clazz) {
        return Logger.getLogger(clazz.getName());
    }

    // TODO find a better solution than this ;)
    public static Logger customLogger(final Class clazz) {
        var serviceLoader = ServiceLoader.load(LoggingProvider.class);
        final LoggingProvider loggingProvider = serviceLoader.iterator().next();
        return loggingProvider.createLogger(clazz.getName());
    }

}
